--- title: "Export the Sensor Configuration" slug: "export-the-sensor-configuration-3" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:08Z published: 2026-11-19T12:57:08Z canonical: "docs.trellix.com/export-the-sensor-configuration-3" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Export the Sensor Configuration This URL exports the Sensor configuration to an xml file. ### Resource URL PUT /sensor// exportconfiguration ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensorId` | Sensor id | Number | Yes | Payload Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `SensorConfigExportElement` | The details of what to export from sensor | Object | Yes | Details of SensorConfigExportElement: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `fileDestination` | Location as to where to store the file | String | Yes | | `exportFOConfig` | Export failover configuration | Boolean | No | | `exportFirewallConfig` | Export firewall configuration | Boolean | No | | `exportSSLConfig` | Export SSL configuration | Boolean | No | | `exportExceptionsConfig` | Export exceptions configuration | Boolean | No | | `exportNACConfig` | Export exceptions configuration | Boolean | No | | `exportMonitoringPortConfig` | Export monitoring ports configuration | Boolean | No | | `exportNTBAConfig` | Export NTBA configuration | Boolean | No | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Set to 1 if the operation was successful | Number | ### Example **Request** PUT [https:///sdkapi/sensor/1002/exportconfiguration](https://<NSM_IP>/sdkapi/sensor/1002/exportconfiguration) Payload ``` { "exportFirewallConfig": true, "exportMonitoringPortConfig": true, "exportFOConfig": true, "exportNACConfig": true, "exportSSLConfig": true, "exportExceptionsConfig": true, "fileDestination": "C:\\sensorconfigexport\\sensorAPIallTRUE", "exportNTBAConfig": true } ``` **Response** ```    {       "status": 1    } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 400 | 5308 | No destination file specified |